qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [5244] alpha: improve testsuite


From: Aurelien Jarno
Subject: [Qemu-devel] [5244] alpha: improve testsuite
Date: Wed, 17 Sep 2008 22:04:37 +0000

Revision: 5244
          http://svn.sv.gnu.org/viewvc/?view=rev&root=qemu&revision=5244
Author:   aurel32
Date:     2008-09-17 22:04:37 +0000 (Wed, 17 Sep 2008)

Log Message:
-----------
alpha: improve testsuite

misc tiny patches:
* add a 'check' target to the Makefile
* split code in crt.s to create the _exit syscall; also use the value of
main() as exit status

Signed-off-by: Tristan Gingold <address@hidden>
Signed-off-by: Aurelien Jarno <address@hidden>

Modified Paths:
--------------
    trunk/tests/alpha/Makefile
    trunk/tests/alpha/crt.s

Modified: trunk/tests/alpha/Makefile
===================================================================
--- trunk/tests/alpha/Makefile  2008-09-17 22:04:29 UTC (rev 5243)
+++ trunk/tests/alpha/Makefile  2008-09-17 22:04:37 UTC (rev 5244)
@@ -5,7 +5,7 @@
 SIM=../../alpha-linux-user/qemu-alpha
 
 CFLAGS=-O
-LINK=$(CC) -v -o $@ crt.o $< -nostdlib
+LINK=$(CC) -o $@ crt.o $< -nostdlib
 
 TESTS=test-cond test-cmov
 
@@ -23,7 +23,10 @@
 test-cmov: test-cmov.o crt.o
        $(LINK)
 
+check: $(TESTS)
+       for f in $(TESTS); do $(SIM) $$f || exit 1; done
+
 clean:
        $(RM) *.o *~ hello-alpha $(TESTS)
 
-.PHONY: clean all
+.PHONY: clean all check

Modified: trunk/tests/alpha/crt.s
===================================================================
--- trunk/tests/alpha/crt.s     2008-09-17 22:04:29 UTC (rev 5243)
+++ trunk/tests/alpha/crt.s     2008-09-17 22:04:37 UTC (rev 5244)
@@ -9,12 +9,15 @@
        .prologue 0
        ldq $27,main($29) !literal!1
        jsr $26,($27)
+       or $0,$0,$16
+       .end _start
 
+       .globl _exit
+_exit:
        lda $0,1
        callsys
 
        call_pal 0
-       .end _start
 
        .globl write
 write:






reply via email to

[Prev in Thread] Current Thread [Next in Thread]